com.r3corda.protocols / AbstractRequestMessage

# AbstractRequestMessage

`abstract class AbstractRequestMessage : ServiceRequestMessage`

### Constructors

<init> | `AbstractRequestMessage(replyToParty: Party)`

### Properties

replyToParty | `val replyToParty: Party`

### Inherited Properties

sessionID | `abstract val sessionID: Long`

### Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`

### Inheritors

Handshake | `class Handshake : AbstractRequestMessage`
Handshake | `class Handshake : AbstractRequestMessage`
QueryRequest | `class QueryRequest : AbstractRequestMessage`
Request | `class Request : AbstractRequestMessage`
SignRequest | `class SignRequest : AbstractRequestMessage`